from __future__ import annotations

import queue

from lib.speech_to_text.next_prompt_manager import next_prompt_manager


def what_next(last_operation: str) -> str:
    print(last_operation)
    try:
        next_prompt = next_prompt_manager.next_prompt(timeout=270)
        return next_prompt + ". Po wykonaniu tej operacji użyj toola what_next, by dowiedzieć się co dalej."
    except queue.Empty:
        return "Wyjątkowo nie rób nic, tylko uruchom what_next z parametrem 'przedluzenie konwersacji'"


def main() -> None:
    print("Manager uruchomiony")
    print("Czekam na nowy tekst z kolejki...")

    result = what_next("Start testu")
    print("ODEBRANY TEKST:")
    print(result)


if __name__ == "__main__":
    main()